### Namespace

# EvinceView – 3.0

Evince is a document viewer for multiple document formats.

Version | 46.3.1
Authors | Evince Developers
License | GPL-2-or-later
Website | https://wiki.gnome.org/Apps/Evince
Source | https://gitlab.gnome.org/GNOME/evince/

#### Build

pkg-config files | `evince-view-3.0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Pango—1.0 | Text shaping and rendering
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

DocumentModel | since: 3.0
Job | since: 3.0
JobAnnots | since: 3.0
JobAttachments | since: 3.0
JobExport | since: 3.0
JobFind | since: 3.0
JobFonts | since: 3.0
JobLayers | since: 3.0
JobLinks | since: 3.0
JobLoad | since: 3.0
JobLoadFd | A job class to load a `EvDocument` from a file descriptor referring to a regular file. since: 42.0
JobLoadGFile | A job class to load a `EvDocument` from a `GFile`. since: 3.6
JobLoadStream | A job class to load a `EvDocument` from a `GInputStream`. since: 3.6
JobPageData | since: 3.0
JobPrint | since: 3.0
JobRender | since: 3.0
JobSave | since: 3.0
JobThumbnail | since: 3.0
PrintOperation | since: 3.0
View | since: 3.0
ViewPresentation | since: 3.0

#### Enumerations

JobPriority | since: 3.0
JobRunMode | since: 3.0
JobThumbnailFormat | since: 3.0
PageLayout | since: 3.0
SizingMode | since: 3.0

#### Bitfields

JobPageDataFlags | since: 3.0

#### Functions

stock_icons_init | Creates a new icon factory, adding the base stock icons to it. since: 3.0
stock_icons_set_screen | since: 3.0
stock_icons_shutdown | since: 3.0

#### Function Macros

JOB_LOAD_FD | since: 3.0
JOB_LOAD_FD_CLASS | since: 3.0
JOB_LOAD_GFILE | since: 3.0
JOB_LOAD_GFILE_CLASS | since: 3.0

#### Constants

STOCK_ANNOT_SQUIGGLY | since: 3.0
STOCK_ANNOT_TEXT | since: 3.0
STOCK_ATTACHMENT | since: 3.0
STOCK_CLOSE | since: 3.0
STOCK_FIND_UNSUPPORTED | since: 3.0
STOCK_INVERTED_COLORS | since: 3.0
STOCK_OUTLINE | since: 3.0
STOCK_RESIZE_SE | since: 3.0
STOCK_RESIZE_SW | since: 3.0
STOCK_ROTATE_LEFT | since: 3.0
STOCK_ROTATE_RIGHT | since: 3.0
STOCK_RUN_PRESENTATION | since: 3.0
STOCK_SEND_TO | since: 3.0
STOCK_VIEW_CONTINUOUS | since: 3.0
STOCK_VIEW_DUAL | since: 3.0
STOCK_VIEW_SIDEBAR | since: 3.0
STOCK_VISIBLE | since: 3.0
STOCK_ZOOM | since: 3.0
STOCK_ZOOM_PAGE | since: 3.0
STOCK_ZOOM_WIDTH | since: 3.0